Name:           movit
Version:        1.1.1
Release:        1%{?dist}
Summary:        Video filters for the GPU

License:        GPLv2+
URL:            http://movit.sesse.net/
Source0:        http://movit.sesse.net/%{name}-%{version}.tar.gz

BuildRequires:  fftw-devel
BuildRequires:  libepoxy-devel
BuildRequires:  eigen3-devel
BuildRequires:  gtest-devel
BuildRequires:  SDL-devel


%description
Movit provides high-performance, high-quality video filters for the GPU.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} TESTS=


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# fix permissions
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc NEWS README
%{_libdir}/*.so.*
%{_datadir}/%{name}/

%files devel
%doc
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri May  9 2014 Dan Horák <dan@danny.cz> - 1.1.1-1
- update to 1.1.1

* Fri Apr 11 2014 Dan Horák <dan@danny.cz> - 1.1-1
- update to 1.1

* Wed Apr  9 2014 Dan Horák <dan@danny.cz> - 1.0.3-3
- better fix for pkgconfig

* Tue Apr  8 2014 Dan Horák <dan@danny.cz> - 1.0.3-2
- add Requires to devel subpackage
- fix libs handling in pkgconfig

* Tue Apr  8 2014 Dan Horák <dan@danny.cz> - 1.0.3-1
- initial Fedora package
